#
# spec file for package python-pygame
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-pygame
Version:        1.9.1
Release:        18.31
Source:         http://pygame.org/ftp/pygame-%{version}release.tar.gz
Source1:        README.SUSE
Source2:        python-pygame.rpmlintrc
# PATCH-MISSING-TAG -- See http://wiki.opensuse.org/openSUSE:Packaging_Patches_guidelines
Patch1:         pygame-v4l-2.6.38.patch
Summary:        A Python Module for Interfacing with the SDL Multimedia Library
License:        LGPL-2.1+
Group:          Development/Libraries/Python
Url:            http://www.pygame.org/
Provides:       pygame = %{version}
Obsoletes:      pygame < %{version}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  SDL_image-devel
BuildRequires:  SDL_mixer-devel
BuildRequires:  SDL_ttf-devel
BuildRequires:  fdupes
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel
BuildRequires:  python-devel
BuildRequires:  xorg-x11
%if 0%{?suse_version} > 1110
BuildRequires:  python-numpy
%else
BuildRequires:  python-numeric
%endif
%if 0%{?suse_version} >= 1210
BuildRequires:  libv4l-devel >= 0.8.4
%endif
%if 0%{?suse_version} >= 1320
BuildRequires:  portmidi-devel
%endif
%{py_requires}

%description
Pygame is a Python wrapper module for the SDL multimedia library. It
contains Python functions and classes that allow you to use SDL's
support for playing CD-ROMs, audio and video output, and keyboard,
mouse and joystick input. Pygame also includes support for the
Numerical Python extension. Pygame is the successor to the pySDL
wrapper project, written by Mark Baker.

%package doc
Summary:        Pygame documentation and example programs
Group:          Development/Libraries/Python
Provides:       pygame-doc > 1.5.5
Obsoletes:      pygame-doc <= 1.5.5
Requires:       python-pygame = %{version}

%description doc
This package contains documentation and example programs for Pygame.

%package devel
Summary:        Pygame development package
Group:          Development/Libraries/Python
Requires:       python-pygame = %{version}

%description devel
This package contains the header files for developers of Pygame.

%prep
%setup -q -n pygame-%{version}release
%if 0%{?suse_version} >= 1210
%patch1
%endif

%build
export CFLAGS="$RPM_OPT_FLAGS -Wall -fno-strict-aliasing"
yes y | python -d config.py
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}
#install doc
install -d %{buildroot}%{_docdir}/python-pygame
install -m 644 WHATSNEW README.txt %{SOURCE1} %{buildroot}%{_docdir}/python-pygame
cp -r docs/ examples/ %{buildroot}%{_docdir}/python-pygame

%fdupes -s %{buildroot}%{_prefix}

%files
%defattr(644,root,root,755)
%doc %dir %{_docdir}/python-pygame
%doc %{_docdir}/python-pygame/WHATSNEW
%doc %{_docdir}/python-pygame/README.txt
%doc %{_docdir}/python-pygame/README.SUSE
%{python_sitearch}/*

%files doc
%defattr(644,root,root,755)
%doc %{_docdir}/python-pygame/docs
%doc %{_docdir}/python-pygame/examples

%files devel
%defattr(644,root,root,755)
%{py_incdir}/pygame/

%changelog
* Sun Oct 12 2014 mailaender@opensuse.org
- fixed rpmlint error devel-file-in-non-devel-package
- patch1 could need a tag
- fixed rpmlint warning self-obsoletion pygame-doc
- ignore missing executable flags in the -docs package
- added missing build requires for portmidi
- fixed rpmlint warning files-duplicate with fdupes
- added rpmlintrc to whitelist the warnings about sample code
- avoid redundancy in the %%description
* Thu Jul  7 2011 idonmez@novell.com
- Add pygame-v4l-2.6.38.patch: use new v4l interface
* Tue Jun  8 2010 prusnak@opensuse.org
- updated to 1.9.1
  * add missing readme.html
  * bugfixes
* Wed Aug  5 2009 matejcik@suse.cz
- update to 1.9.0
  * many bugfixes
  * full python-post-2.5 compatibility, py3k compatibility
- patched setup to workaround broken source tarball (missing readme.html)
- removed py2.5 compatibility patch
* Mon May  4 2009 ro@suse.de
- buildrequires: replace python-numeric by python-numpy
  for >= 11.2
* Fri Mar 20 2009 matejcik@suse.cz
- (re)added libpng-devel and libjpeg-devel for image format support
* Fri Sep 12 2008 matejcik@suse.cz
- update to 1.8.1
  * lots of changes and fixes - see WHATSNEW for details
* Sun Jun  1 2008 crrodriguez@suse.de
- needs fno-strict-aliasing
* Thu Apr  3 2008 prusnak@suse.cz
- updated to 1.8.0
  * lots of changes and fixes - see WHATSNEW for details
- rewrite pep353.diff
* Tue Aug 21 2007 meissner@suse.de
- buildrequire SDL_ttf -> SDL_ttf-devel
* Tue Nov 21 2006 prusnak@suse.cz
- changes according to PEP353 (pep353.diff)
* Tue Feb 28 2006 jmatejek@suse.cz
- updated to reflect python changes due to #149809
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Thu Oct  6 2005 matejcik@suse.cz
- update to 1.7.1release
- removed readme.html, which is no longer provided
* Wed Feb  2 2005 ro@suse.de
- fix build
* Tue Sep 21 2004 mcihar@suse.cz
- update to 1.6.2, this (among others) fixes brokeness on x86_64 - bug #45731
* Fri Jan 30 2004 mcihar@suse.cz
- fixed documentation installation
* Fri Oct 24 2003 mcihar@suse.cz
- update to 1.6 (This new release mainly contains stability and internal
  fixes, small fixes for line and circle primitives, many fixes for locating
  system TrueType fonts, an updated Mac OS X environment, and bigger integer
  storage for Rect objects.)
- patch was included in upstream
- no root for build
* Thu Oct  2 2003 mcihar@suse.cz
- fixed mode related functions that failed on AMD64, thanks to gpayer@suse.de (bug #31709)
* Mon Jun 16 2003 mcihar@suse.cz
- use record-rpm
- updated to 1.5.6
* Mon May 12 2003 mcihar@suse.cz
- use versioned dependency on python
* Wed Jan  8 2003 mcihar@suse.cz
- added obsoletes and provides for rename
- moved doc into %%{_defaultdocdir}/python-pygame
- some doc is in base package with info where to find more
* Mon Jan  6 2003 mcihar@suse.cz
- update to 1.5.5
  * improved Unicode support
  * fixed some bugs
- renamed to python-pygame
* Mon Aug 12 2002 ro@suse.de
- update to 1.5 to get rid of conflict with pause() from unistd
* Mon Feb 18 2002 vinil@suse.cz
- pygame now requires python
* Mon Feb  4 2002 nadvornik@suse.cz
- update to 1.4
* Tue Jan 29 2002 nadvornik@suse.cz
- new package, version 1.3
